Subject: Re: bug#6187: 23.1; can't save: "Wrong type argument: number-of-marker-p, nil"

From: Ryo Furue <[email-masked]>
Date: Mon, 24 May 2010 17:08:06 -1000 (HST)

Hi,

| > Copy this character "˜", open a new file (C-x C-f),
| > paste the character, and try to save (C-x C-s).
| > You can't save. "Wrong type argument: number-of-marker-p, nil"
| 
| It works fine for me using Debian's Emacs 23.1. I am prompted to
| select a coding system, I choose the default utf-8, and the file is
| saved.
| 
| Does it happen with `emacs -Q'?
| 
| Please do
| 
| M-x toggle-debug-on-error
| 
| produce the error again, and post the backtrace.

Thank you for your help.  But, I've been able to reproduce the
error only once, before taking any debug information. (Before
I submitted my original report, the problem was very reliably
reproduced.)

As soon as I received your message, I quit emacs and started
it again.  Then, I was able to reproduce the error.  So,
I switched on toggle-debug-on-error and tried again.  Then,
I was prompted to select a coding system and was able to
save the file, choosing the default utf-8.

Puzzled, I quit emacs and started it again.  But, this time,
I wasn't able to reproduce the error.  Since then, I've never
been able to reproduce it!  I've tried various things, such as
copying the problematic text from the PDF file (which was the
original cause of the problem), but to no avail.

The only guess I can make is that some changes in
the environment fixed it.  I've applied all updates
to the operating system (Debian GNU/Linux) and
restarted the X-Window system once or twice after
I submitted my initial report.

Regards,
Ryo